org.bdgenomics.adam.rdd.variation

# VariantContextRDD

###
Related Doc: package variation

#### case class VariantContextRDD(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Seq[Sample]) extends MultisampleGenomicRDD[VariantContext, VariantContextRDD] with Logging with Product with Serializable

An RDD containing VariantContexts attached to a reference and samples.

rdd

  The underlying RDD of VariantContexts.

sequences

  The genome sequence these variants were called against.

samples

  The genotyped samples in this RDD of VariantContexts.

Linear Supertypes
Serializable, Serializable, Product, Equals, Logging, MultisampleGenomicRDD[VariantContext, VariantContextRDD], GenomicRDD[VariantContext, VariantContextRDD], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContextRDD
2. Serializable
3. Serializable
4. Product
5. Equals
6. Logging
7. MultisampleGenomicRDD
8. GenomicRDD
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantContextRDD(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Seq[Sample])

   rdd

     The underlying RDD of VariantContexts.

   sequences

     The genome sequence these variants were called against.

   samples

     The genotyped samples in this RDD of VariantContexts.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(VariantContext, X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(VariantContext, X), Z]

   Performs a broadcast inner join between this RDD and another RDD.

   Performs a broadcast inner join between this RDD and another RDD.

   In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

   genomicRdd

     The right RDD in the join.

   returns

     Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

   Definition Classes
     GenomicRDD

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def filterByOverlappingRegion(query: ReferenceRegion): VariantContextRDD

   Definition Classes
     GenomicRDD

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def flattenRddByRegions(): RDD[(ReferenceRegion, VariantContext)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

11. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[VariantContext], Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(Option[VariantContext], Option[X]), Z]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getReferenceRegions(elem: VariantContext): Seq[ReferenceRegion]

    elem

      The variant context to get a reference region for.

    returns

      Returns a seq containing the position key from the variant context.

    Attributes
      protected
    Definition Classes
      VariantContextRDD → GenomicRDD

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

16. #### def joinDatabaseVariantAnnotation(ann: DatabaseVariantAnnotationRDD): VariantContextRDD

    Left outer join database variant annotations.

    Left outer join database variant annotations.

    ann

      Annotation RDD to join against.

    returns

      Returns a VariantContextRDD where annotations have been filled in.

17. #### lazy val jrdd: JavaRDD[VariantContext]

    Definition Classes
      GenomicRDD

18. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(VariantContext, Option[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(VariantContext, Option[X]), Z]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

19. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[VariantContext, VariantContextRDD, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[VariantContext, VariantContextRDD, V], xFormatter: OutFormatter[X], convFn: (VariantContextRDD, RDD[X]) ⇒ Y, tManifest: ClassTag[VariantContext], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

35. #### val rdd: RDD[VariantContext]

    The underlying RDD of VariantContexts.

    The underlying RDD of VariantContexts.

    Definition Classes
      VariantContextRDD → GenomicRDD

36. #### def replaceRdd(newRdd: RDD[VariantContext]): VariantContextRDD

    newRdd

      The RDD of VariantContexts to replace the underlying RDD.

    returns

      Returns a new VariantContextRDD where the underlying RDD has been replaced.

    Attributes
      protected
    Definition Classes
      VariantContextRDD → GenomicRDD

37. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[VariantContext], X), Z]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(Option[VariantContext], X), Z]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

38. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[VariantContext], X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(Option[VariantContext], X), Z]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

39. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(Option[VariantContext], Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(Option[VariantContext], Iterable[X]), Z]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

40. #### val samples: Seq[Sample]

    The genotyped samples in this RDD of VariantContexts.

    The genotyped samples in this RDD of VariantContexts.

    Definition Classes
      VariantContextRDD → MultisampleGenomicRDD

41. #### def saveAsVcf(filePath: String, sortOnSave: Boolean = false, asSingleFile: Boolean = false): Unit

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    filePath

      The filepath to save to.

    sortOnSave

      Whether to sort before saving. Default is false (no sort).

42. #### def saveAsVcf(args: SaveArgs, sortOnSave: Boolean): Unit

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    Converts an RDD of ADAM VariantContexts to HTSJDK VariantContexts and saves to disk as VCF.

    sortOnSave

      Whether to sort before saving.

43. #### val sequences: SequenceDictionary

    The genome sequence these variants were called against.

    The genome sequence these variants were called against.

    Definition Classes
      VariantContextRDD → GenomicRDD

44. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(VariantContext, X), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(VariantContext, X), Z]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

45. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y], Z <: GenomicRDD[(VariantContext, Iterable[X]), Z]](genomicRdd: GenomicRDD[X, Y], optPartitions: Option[Int] = None)(implicit tTag: ClassTag[VariantContext], xTag: ClassTag[X]): GenomicRDD[(VariantContext, Iterable[X]), Z]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def toDatabaseVariantAnnotationRDD: DatabaseVariantAnnotationRDD

    returns

      Returns a DatabaseVariantAnnotationRDD containing the variant annotations attached to this VariantContextRDD.

48. #### def toGenotypeRDD: GenotypeRDD

    returns

      Returns a GenotypeRDD containing the Genotypes in this RDD.

49. #### def toVariantRDD: VariantRDD

    returns

      Returns the Variants in this RDD.

50. #### def transform(tFn: (RDD[VariantContext]) ⇒ RDD[VariantContext]): VariantContextRDD

    Definition Classes
      GenomicRDD

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from MultisampleGenomicRDD[VariantContext, VariantContextRDD]

### Inherited from GenomicRDD[VariantContext, VariantContextRDD]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped